commit bd114578990709bfe234cf2e5b3c3e401b83068a
Author: Sébastien Aperghis-Tramoni <sebastien.aperghis-tramoni@diabolocom.com>
Date:   Fri Apr 19 19:29:27 2013 +0200

    be compatible with old versions of Net::Pcap

diff --git a/lib/AnyEvent/Pcap.pm b/lib/AnyEvent/Pcap.pm
index 4dd95c1..e394019 100644
--- a/lib/AnyEvent/Pcap.pm
+++ b/lib/AnyEvent/Pcap.pm
@@ -11,6 +11,15 @@ our $VERSION = '0.00002';
 
 __PACKAGE__->mk_accessors($_) for qw(utils device filter packet_handler fd);
 
+
+# be compatible with old versions of Net::Pcap
+if ($Net::Pcap::VERSION < 0.15) {
+    *Net::Pcap::pcap_lookupdev      = \&Net::Pcap::lookupdev;
+    *Net::Pcap::pcap_open_live      = \&Net::Pcap::open_live;
+    *Net::Pcap::pcap_open_offline   = \&Net::Pcap::open_offline;
+    *Net::Pcap::pcap_file           = \&Net::Pcap::file;
+}
+
 sub new {
     my $class = shift;
     my $self = bless {@_}, $class;
